LlvmIsToolChainSupported
Date: 2011-05-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.cdt.managedbuilder.llvm.ui
Class LlvmIsToolChainSupported

    java.lang.Object
      org.eclipse.cdt.managedbuilder.llvm.ui.LlvmIsToolChainSupported

All Implemented Interfaces:
  org.eclipse.cdt.managedbuilder.core.IManagedIsToolChainSupported

    public class LlvmIsToolChainSupported

extends java.lang.Object
implements org.eclipse.cdt.managedbuilder.core.IManagedIsToolChainSupported

Based on MingwIsToolChainSupported.

Field Summary
`private boolean` | `supported`

Constructor Summary
`LlvmIsToolChainSupported()` Constructor.

Method Summary
`boolean` | `isSupported(org.eclipse.cdt.managedbuilder.core.IToolChain toolChain, org.osgi.framework.Version version, java.lang.String instance)` Return a boolean value that informs if the LLVM Toolchain is supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### supported

    private final boolean supported

Constructor Detail

### LlvmIsToolChainSupported

    public LlvmIsToolChainSupported()

  Constructor. LLVM Toolchain is supported if binary path for LLVM Tools can be found.

Method Detail

### isSupported

    public boolean isSupported(org.eclipse.cdt.managedbuilder.core.IToolChain toolChain,
                               org.osgi.framework.Version version,
                               java.lang.String instance)

  Return a boolean value that informs if the LLVM Toolchain is supported.

  Specified by:
    `isSupported` in interface `org.eclipse.cdt.managedbuilder.core.IManagedIsToolChainSupported`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD